rte_event_eth_rx_adapter_vector_limits(3)

NAME
rte_event_eth_rx_adapter_vector_limits

SYNOPSIS

#include <rte_event_eth_rx_adapter.h>

  Data Fields

uint16_t min_sz
uint16_t max_sz
uint8_t log2_sz
uint64_t min_timeout_ns
uint64_t max_timeout_ns

Detailed Description

A structure used to retrieve eth rx adapter vector limits.

Definition at line 272 of file rte_event_eth_rx_adapter.h.

Field Documentation

  uint16_t min_sz
Minimum vector limit configurable.

See also
    rte_event_eth_rx_adapter_event_vector_config::vector_sz

Definition at line 273 of file rte_event_eth_rx_adapter.h.

  uint16_t max_sz
Maximum vector limit configurable.

See also
    rte_event_eth_rx_adapter_event_vector_config::vector_sz

Definition at line 277 of file rte_event_eth_rx_adapter.h.

  uint8_t log2_sz
True if the size configured should be in log2.

See also
    rte_event_eth_rx_adapter_event_vector_config::vector_sz

Definition at line 281 of file rte_event_eth_rx_adapter.h.

  uint64_t min_timeout_ns
Minimum vector timeout configurable.

See also
    rte_event_eth_rx_adapter_event_vector_config::vector_timeout_ns

Definition at line 285 of file rte_event_eth_rx_adapter.h.

  uint64_t max_timeout_ns
Maximum vector timeout configurable.

See also
    rte_event_eth_rx_adapter_event_vector_config::vector_timeout_ns

Definition at line 289 of file rte_event_eth_rx_adapter.h.

Author

Generated automatically by Doxygen for DPDK from the source code.